%define name php-pear-HTTP_Request
%define rname HTTP_Request
%define version 1.2.4
%define rversion 1.2.4
%define release 1mdk

%define pear_phpdir %{_datadir}/pear
%define pear_docdir %{_datadir}/pear/docs
%define pear_extdir %{_libdir}/php/extensions
%define pear_datadir %{_datadir}/pear/data
%define pear_testdir %{_datadir}/pear/tests

Summary: Provides an easy way to perform HTTP request
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{rname}-%{version}.tar.bz2
License:   BSD
Group:     Development/Other
Url:       http://pear.php.net/package/HTTP_Request
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
PreReq:    php-pear
Requires: php-pear-Net_URL >= 1.0.12
%description
Supports GET/POST/HEAD/TRACE/PUT/DELETE, Basic authentication, Proxy,
Proxy Authentication, SSL, file uploads etc.

%prep
%setup -q -n %rname-%rversion
mv ../package.xml .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/HTTP
cp Request.php $RPM_BUILD_ROOT%{pear_phpdir}/HTTP/Request.php
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/HTTP/Request
cp Request/Listener.php $RPM_BUILD_ROOT%{pear_phpdir}/HTTP/Request/Listener.php
mkdir -p $RPM_BUILD_ROOT%{pear_docdir}/HTTP//docs
cp docs/example.php $RPM_BUILD_ROOT%{pear_docdir}/HTTP//docs/example.php
cp docs/download-progress.php $RPM_BUILD_ROOT%{pear_docdir}/HTTP//docs/download-progress.php

find $RPM_BUILD_ROOT -type f -exec sed -i 's|^#!/usr/local/bin/php|#!/usr/bin/php|' {} \;
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/packages
cp package.xml $RPM_BUILD_ROOT%{pear_phpdir}/packages/%{rname}.xml

%post
pear install -r -n %{pear_phpdir}/packages/%{rname}.xml

%preun
pear uninstall -r -n %{rname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root)
%dir %{pear_phpdir}/HTTP
%dir %{pear_phpdir}/HTTP/Request
%dir %{pear_docdir}/HTTP//docs
%defattr(0644,root,root)
%{pear_phpdir}/HTTP/Request.php
%{pear_phpdir}/HTTP/Request/Listener.php
%{pear_docdir}/HTTP//docs/example.php
%{pear_docdir}/HTTP//docs/download-progress.php
%{pear_phpdir}/packages/%{rname}.xml

%changelog
* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 1.2.4-1mdk

- First mdk package

